# vtkGDCMMedicalImageProperties Class Reference

`#include <vtkGDCMMedicalImageProperties.h>`

List of all members.

## Public Member Functions
virtual void | Clear ()
void | PrintSelf (ostream &os, vtkIndent indent)
| vtkTypeRevisionMacro (vtkGDCMMedicalImageProperties, vtkMedicalImageProperties)
## Static Public Member Functions
static vtkGDCMMedicalImageProperties * | New ()
## Protected Member Functions
| vtkGDCMMedicalImageProperties ()
| ~vtkGDCMMedicalImageProperties ()
gdcm::File const & | GetFile (unsigned int t)
void | PushBackFile (gdcm::File const &f)
## Friends
class | vtkGDCMImageReader
class | vtkGDCMImageWriter

## Constructor & Destructor Documentation

vtkGDCMMedicalImageProperties::vtkGDCMMedicalImageProperties | ( |  | ) | `[protected]`

vtkGDCMMedicalImageProperties::~vtkGDCMMedicalImageProperties | ( |  | ) | `[protected]`

## Member Function Documentation

virtual void vtkGDCMMedicalImageProperties::Clear | ( |  | ) | `[virtual]`

gdcm::File const& vtkGDCMMedicalImageProperties::GetFile | ( | unsigned int | t | ) | `[protected]`

static vtkGDCMMedicalImageProperties* vtkGDCMMedicalImageProperties::New | ( |  | ) | `[static]`

void vtkGDCMMedicalImageProperties::PrintSelf | ( | ostream & | os,
|  | vtkIndent | indent |
| ) |  |  |

void vtkGDCMMedicalImageProperties::PushBackFile | ( | gdcm::File const & | f | ) | `[protected]`

vtkGDCMMedicalImageProperties::vtkTypeRevisionMacro | ( | vtkGDCMMedicalImageProperties | ,
|  | vtkMedicalImageProperties |  |
| ) |  |  |

## Friends And Related Function Documentation

friend class vtkGDCMImageReader`[friend]`

friend class vtkGDCMImageWriter`[friend]`

The documentation for this class was generated from the following file:

- vtkGDCMMedicalImageProperties.h